const deleteFile = require('../helpers/deleteFile');
const jsonParser = require('../helpers/jsonParser');
const { calculateBalance, calculateTotalAmount } = require('./booking-helper');
const createNotification = require('./create-notification');
const { calculateNights, setEndOfDay, getDateRangeForFilter, setStartOfDay } = require('./date-helper');
const { generateDeviceId } = require('./device-id-helper');
const { buildFilter } = require('./filters');
const { parseJsonSafe } = require('./jsonResponseParser');
const { updateOrCreateToken } = require('./token-helper');
const validatePax = require('./validate-pax');

module.exports = {
	deleteFile,
	jsonParser,
	calculateNights,
	calculateBalance,
	calculateTotalAmount,
	validatePax,
	parseJsonSafe,
	buildFilter,
	calculateNights,
	createNotification,
	setStartOfDay,
	setEndOfDay,
	getDateRangeForFilter,
	generateDeviceId,
	updateOrCreateToken,
};
